## django-modeltranslation 0.17.5

=== Makefile ===
release:
	standard-version

publish: clean
	python setup.py sdist
	twine upload dist/*
	git push --follow-tags

clean:
	rm -rf dist

test:
	poetry run python ./runtests.py

## django-modeltranslation 0.11

=== debian/changelog ===
django-modeltranslation (0.11-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Initial release.

  [ Raphaël Hertzog ]
  * Add a patch to fix test failures due to django.contrib.auth.migrations
    being not writable.

 -- Sophie Brun <sophie@freexian.com>  Mon, 27 Jun 2016 11:20:05 +0200

=== debian/control ===
Source: django-modeltranslation
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Sophie Brun <sophie@freexian.com>,
 Raphaël Hertzog <hertzog@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3~),
 python-django,
 python-sphinx,
 python3-all,
 python3-django,
Standards-Version: 3.9.8
Homepage: https://github.com/deschler/django-modeltranslation/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-modeltranslation.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-modeltranslation.git

Package: python-django-modeltranslation
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-django-modeltranslation-doc
Description: Translate dynamic content of Django models (Python 2)
 The modeltranslation application can be used to translate dynamic content of
 existing models to an arbitrary number of languages without having to change
 the original model classes. It uses a registration approach (comparable to
 Django's admin app) to be able to add translations to existing or new projects
 and is fully integrated into the Django admin backend.
 .
 This package installs the library for Python 2.

Package: python3-django-modeltranslation
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-django-modeltranslation-doc
Description: Translate dynamic content of Django models (Python 3)
 The modeltranslation application can be used to translate dynamic content of
 existing models to an arbitrary number of languages without having to change
 the original model classes. It uses a registration approach (comparable to
 Django's admin app) to be able to add translations to existing or new projects
 and is fully integrated into the Django admin backend.
 .
 This package installs the library for Python 3.

Package: python-django-modeltranslation-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Translate dynamic content of Django models (common documentation)
 The modeltranslation application can be used to translate dynamic content of
 existing models to an arbitrary number of languages without having to change
 the original model classes. It uses a registration approach (comparable to
 Django's admin app) to be able to add translations to existing or new projects
 and is fully integrated into the Django admin backend.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-modeltranslation

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -N docs/modeltranslation build/html

override_dh_auto_test:
	for python in $(shell pyversions -s; py3versions -s); do \
	    $$python ./runtests.py; \
	done

## django-modeltranslation 0.12.2

=== debian/changelog ===
django-modeltranslation (0.12.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Raphaël Hertzog ]
  * New upstream release that works with current Django. Closes: #834667
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3. 
  * Update our patch to fix test failures that are due to
    django.contrib.auth.migrations being not writable. And resubmit it
    upstream.
  * Update Build-Depends to use python3-sphinx instead of python-sphinx.
  * Drop X-Python* fields.
  * Add a lintian override for privacy-breach-generic on badges embedded
    in the HTML documentation.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 21 Feb 2018 15:19:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,17 @@
  Sophie Brun <sophie@freexian.com>,
  Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.6.6-3~),
  python-django,
- python-sphinx,
  python3-all,
  python3-django,
-Standards-Version: 3.9.8
+ python3-sphinx,
+Standards-Version: 4.1.3
 Homepage: https://github.com/deschler/django-modeltranslation/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-modeltranslation.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-modeltranslation.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/django-modeltranslation.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/django-modeltranslation
 
 Package: python-django-modeltranslation
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	PYTHONPATH=. sphinx-build -b html -N docs/modeltranslation build/html
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for python in $(shell pyversions -s; py3versions -s); do \
 	    $$python ./runtests.py; \
 	done
+endif

## django-modeltranslation 0.13.3

=== debian/changelog ===
django-modeltranslation (0.13.3-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #936416).
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Team upload.
  * New usptream release with Django 2.2 support.

  [ Michal Arbet ]
  * Fix build with Django 2.2 (Closes: #943474).

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 14 Nov 2019 10:24:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,17 @@
  Sophie Brun <sophie@freexian.com>,
  Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
- python-all (>= 2.6.6-3~),
- python-django,
  python3-all,
+ python3-sphinx,
+Build-Depends-Indep:
  python3-django,
- python3-sphinx,
-Standards-Version: 4.1.3
+ python3-pil,
+Standards-Version: 4.4.1
 Homepage: https://github.com/deschler/django-modeltranslation/
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-modeltranslation.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-modeltranslation
-
-Package: python-django-modeltranslation
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-django-modeltranslation-doc
-Description: Translate dynamic content of Django models (Python 2)
- The modeltranslation application can be used to translate dynamic content of
- existing models to an arbitrary number of languages without having to change
- the original model classes. It uses a registration approach (comparable to
- Django's admin app) to be able to add translations to existing or new projects
- and is fully integrated into the Django admin backend.
- .
- This package installs the library for Python 2.
 
 Package: python3-django-modeltranslation
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-modeltranslation

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -b html -N docs/modeltranslation build/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} ./runtests.py" \
		dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-modeltranslation-$1.tar.gz%, \
uversionmangle=s/rc/~rc/" \
   https://github.com/deschler/django-modeltranslation/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## django-modeltranslation 0.16.1

=== debian/changelog ===
django-modeltranslation (0.16.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-django-modeltranslation-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Raphaël Hertzog ]
  * New upstream version 0.16.1
  * Add Build-Depends on python3-six
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper compat level 13
  * Drop patches merged upstream

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 22 Jan 2021 21:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: django-modeltranslation
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@freexian.com>,
  Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
- python3-sphinx,
-Build-Depends-Indep:
  python3-django,
  python3-pil,
-Standards-Version: 4.4.1
+ python3-six,
+ python3-sphinx,
+Standards-Version: 4.5.1
 Homepage: https://github.com/deschler/django-modeltranslation/
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-modeltranslation.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-modeltranslation
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-modeltranslation.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-modeltranslation
 
 Package: python3-django-modeltranslation
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-django, python3-six, ${misc:Depends}, ${python3:Depends}
 Suggests: python-django-modeltranslation-doc
 Description: Translate dynamic content of Django models (Python 3)
  The modeltranslation application can be used to translate dynamic content of
@@ -35,6 +35,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Translate dynamic content of Django models (common documentation)
  The modeltranslation application can be used to translate dynamic content of
  existing models to an arbitrary number of languages without having to change

## django-modeltranslation 0.17.5

=== debian/changelog ===
django-modeltranslation (0.17.5-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Neil Williams <codehelp@debian.org>  Fri, 04 Feb 2022 08:18:32 +0000

django-modeltranslation (0.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Wed, 02 Feb 2022 11:23:49 +0000

django-modeltranslation (0.17.3-2) unstable; urgency=medium

  * Team upload.
  * Fix lintian missing-build-dependency-for-dh-addon error

 -- Neil Williams <codehelp@debian.org>  Fri, 08 Oct 2021 13:25:22 +0100

django-modeltranslation (0.17.3-1) unstable; urgency=medium

  * Team upload
  * [ae89df4] Adding d/gbp.conf for easier packaging
  * [46df0f6] New upstream version 0.17.3
    (Closes: #961163)
  * [1db4c29] Add a patch queue from patch queuebranch
    Added patch:
    Fix-RST-syntax-to-short-underline.patch
    Fix-changelog-import-610.patch
  * [be7c6fd] python-django-modeltranslation-doc: Add sequencer for doc-base
  * [2c394da] d/control: Add new build dependency on python3-setuptools
  * [d0342b5] python-django-modeltranslation-doc: Use dh_sphinxdoc
  * [90a2390] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [2697525] d/control: Adding entry Rules-Requires-Root: no
  * [de304b8] Lintian: Add override about doubled used files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 Sep 2021 20:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3-all:any,
  python3-django,
  python3-pil,
+ python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.5.1
+ python3-sphinx-rtd-theme,
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://github.com/deschler/django-modeltranslation/
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-modeltranslation.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-modeltranslation

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-modeltranslation

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/modeltranslation $(CURDIR)/debian/python-django-modeltranslation-doc/usr/share/doc/python-django-modeltranslation-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} ./runtests.py" \
		dh_auto_test

## django-modeltranslation 0.18.11

=== debian/changelog ===
django-modeltranslation (0.18.11-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Team upload.
  * New upstream version 0.18.11.
  * Refresh d/patches.
  * Upstream migrated to pytest; adapt to it.
  * Add patch to not run converage tests.

  [ Nilesh Patra ]
  * Fix Build-Time tests to run with pytest.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 14 Aug 2023 22:41:00 +0530

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,10 @@
  python3-all:any,
  python3-django,
  python3-pil,
+ python3-pytest,
+ python3-pytest-django,
+ python3-pytest-sugar,
+ python3-parameterized,
  python3-setuptools,
  python3-six,
  python3-sphinx,

## django-modeltranslation 0.18.12

=== Makefile ===
release:
	standard-version

publish: clean
	git push --follow-tags
	python setup.py sdist bdist_wheel
	twine upload dist/*

clean:
	rm -rf dist

=== debian/changelog ===
django-modeltranslation (0.18.12-1) unstable; urgency=medium

  * Remove python3-six from build-dep and dep (Closes: #1053968)
  * New upstream version 0.18.12
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Sophie Brun <sophie@freexian.com>  Mon, 16 Oct 2023 14:20:47 +0200

=== debian/control ===
--- 
+++ 
@@ -16,18 +16,17 @@
  python3-pytest-sugar,
  python3-parameterized,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/deschler/django-modeltranslation/
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-modeltranslation.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-modeltranslation
 
 Package: python3-django-modeltranslation
 Architecture: all
-Depends: python3-django, python3-six, ${misc:Depends}, ${python3:Depends}
+Depends: python3-django, ${misc:Depends}, ${python3:Depends}
 Suggests: python-django-modeltranslation-doc
 Description: Translate dynamic content of Django models (Python 3)
  The modeltranslation application can be used to translate dynamic content of

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-modeltranslation
export PYBUILD_BEFORE_TEST=cp -r {dir}/modeltranslation/tests {build_dir}/modeltranslation/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/modeltranslation/tests

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/modeltranslation $(CURDIR)/debian/python-django-modeltranslation-doc/usr/share/doc/python-django-modeltranslation-doc/html
	dh_sphinxdoc
endif

## django-modeltranslation 0.19.12

=== Makefile ===
release:
	standard-version

publish: clean
	python -m build
	twine upload dist/*
	git push --follow-tags

clean:
	rm -rf dist

lint:
	ruff check modeltranslation
	ruff format --check modeltranslation *.py

typecheck:
	mypy --pretty modeltranslation

=== debian/changelog ===
django-modeltranslation (0.19.12-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100214).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 18:10:58 +0000

django-modeltranslation (0.19.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Avoid django_stubs_ext in tests.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Use pybuild-plugin-pyproject.
  * Enable autopkgtest-pkg-pybuild.
  * Build using Poetry.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2025 11:47:48 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
  Raphaël Hertzog <hertzog@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all:any,
- python3-django,
+ python3-django (>= 3:4.2),
  python3-pil,
  python3-pytest,
  python3-pytest-django,
  python3-pytest-sugar,
  python3-parameterized,
+ python3-poetry-core,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
@@ -23,6 +26,7 @@
 Homepage: https://github.com/deschler/django-modeltranslation/
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-modeltranslation.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-modeltranslation
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-django-modeltranslation
 Architecture: all

## django-modeltranslation 0.19.13

=== debian/changelog ===
django-modeltranslation (0.19.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Mar 2025 11:57:44 +0000

## django-modeltranslation 0.19.14

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 release:
-	standard-version
+	commit-and-tag-version
 
 publish: clean
 	python -m build

=== debian/changelog ===
django-modeltranslation (0.19.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Apr 2025 13:53:41 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-pytest-django,
  python3-pytest-sugar,
  python3-parameterized,
- python3-poetry-core,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,

## django-modeltranslation 0.19.15

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 release:
 	commit-and-tag-version
 
-publish: clean
-	python -m build
+publish: build
 	twine upload dist/*
 	git push --follow-tags
+
+build: clean
+	python -m build --installer uv
 
 clean:
 	rm -rf dist

=== debian/changelog ===
django-modeltranslation (0.19.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Jul 2025 03:33:20 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
  pybuild-plugin-pyproject,
  python3-all:any,
  python3-django (>= 3:4.2),
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-pil,
  python3-pytest,
  python3-pytest-django,
  python3-pytest-sugar,
  python3-parameterized,
- python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-modeltranslation
export PYBUILD_TEST_ARGS={dir}/modeltranslation/tests

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/modeltranslation $(CURDIR)/debian/python-django-modeltranslation-doc/usr/share/doc/python-django-modeltranslation-doc/html
	dh_sphinxdoc
endif

## django-modeltranslation 0.19.16

=== Makefile ===
--- 
+++ 
@@ -17,3 +17,9 @@
 
 typecheck:
 	mypy --pretty modeltranslation
+
+sync:
+	uv sync --group dev --group lsp --no-install-project
+
+test:
+	uv run --no-sync pytest

=== debian/changelog ===
django-modeltranslation (0.19.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jul 2025 10:59:34 +0100

## django-modeltranslation 0.19.17

=== Makefile ===
--- 
+++ 
@@ -23,3 +23,7 @@
 
 test:
 	uv run --no-sync pytest
+
+recreate-migrations:
+	rm modeltranslation/tests/migrations/0*.py
+	PYTHONPATH="." uv run --no-sync django-admin makemigrations tests

=== docs/modeltranslation/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-modeltranslation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-modeltranslation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-modeltranslation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-modeltranslation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
django-modeltranslation (0.19.17-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Upgrade to v5.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Sep 2025 15:39:37 +0100

## django-modeltranslation 0.19.18

=== Makefile ===
--- 
+++ 
@@ -26,4 +26,4 @@
 
 recreate-migrations:
 	rm modeltranslation/tests/migrations/0*.py
-	PYTHONPATH="." uv run --no-sync django-admin makemigrations tests
+	PYTHONPATH="." uv run --no-sync django-admin makemigrations tests --settings=modeltranslation.tests.settings

=== debian/changelog ===
django-modeltranslation (0.19.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 Oct 2025 11:02:02 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,9 @@
  python3-parameterized,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-typing-extensions,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/deschler/django-modeltranslation/
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-modeltranslation.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-modeltranslation

=== debian/watch ===
Version: 5

Template: Github
Owner: deschler
Project: django-modeltranslation

## django-modeltranslation 0.19.19

=== debian/changelog ===
django-modeltranslation (0.19.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Dec 2025 01:04:58 +0000
